Book_2_Chapter_3_War_master_Uzorr = class(Window);

function Book_2_Chapter_3_War_master_Uzorr: GetName()
	return "Book 2, Chapter 3: War-master Uzorr";
end

function Book_2_Chapter_3_War_master_Uzorr: IsRunning()
	return (self.window ~= nil);
end

function Book_2_Chapter_3_War_master_Uzorr: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Livro 2, Capítulo 3: Mestre da Guerra Uzorr"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Candaith-30.1S, 37.9W - Candaith's Encampment - Lone-lands");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nEu teria facilmente escapado dos Orcs que persegui, se não fosse o Mestre de Guerra que viajou com eles. 'Uzorr', eles o chamavam e lhe davam o respeito que sua espécie reserva para seus guerreiros mais fortes e ferozes.\n\n'É provável que Uzorr tenha retornado a Bleakrift dentro do Midgewater Pass , pois aquele parecia ser seu domínio. Ele deve ser morto, e quaisquer ordens que lhe foram dadas recuperadas.\n\n'Bleakrift fica a noroeste daqui, na borda nordeste da passagem de Midgewater, cercada por um corpo de água raso. Derrote o Mestre de Guerra Uzorr e procure uma carta de algum tipo perto dele. Volte para mim vitorioso e discutiremos melhor o que deve ser feito. Bleakrift provavelmente é um lugar perigoso , tenha cuidado.\n Continuarei minha busca por Radagast.");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nCandaith soube da existência de um mestre de guerra entre os orcs chamado Uzorr. Sua derrota seria um golpe poderoso contra eles.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Derrote o mestre de guerra Uzorr\nAdquira as ordens do Mestre de Guerra Uzorr\nO mestre de guerra Uzorr pode ser encontrado em Bleakrift, a noroeste do acampamento de Candaith, no sopé do Weathertop.\n\nCandaith pediu que você encontrasse e matasse o Mestre de Guerra Uzorr e procurasse no acampamento uma carta contendo suas ordens.\n\nCandaith: 'Encontre o mestre de guerra Uzorr e mate-o. Precisamos enfraquecer a posição deles, e sem Uzorr comandando Bleakrift eles ficarão indefesos. Procure também por uma carta contendo suas ordens.\nBleakrift fica a noroeste daqui, no extremo nordeste de Midgewater Pass.\nDerrotou o mestre de guerra Uzorr\n\n2- Traga Carta Orc para Candaith\nCandaith está em seu acampamento no sopé do Weathertop , entre as Colinas do Tempo.\n\nVocê foi vitorioso sobre o mestre de guerra Uzorr e obteve uma carta que certamente contém suas ordens para comandar os orcs que se aventuraram nas Terras Solitárias.\n\nAdquiriu as Ordens do Mestre de Guerra Uzorr\nCandaith: 'Outra carta escrita na Língua Negra, e seu significado me escapa, assim como o de seu colega. Este, no entanto, traz a marca da Mão Branca.\n'Devemos saber que mensagem esta carta traz.\n'Esta não é uma tarefa para você. Finalmente descobri informações sobre o paradeiro de Radagast, mas há algo que você deveria ver primeiro.");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nPegue o caminho para o norte passando pelas primeiras ruínas. \nPouco depois, do lado esquerdo, passe por uma fenda nas rochas. Agora é praticamente direto para Bleakrift.\nO mestre de guerra Uzorr é um orc grande e feio, mas tem um moral bastante baixo.\nMuitas vezes, e bom adiciona spawns furtivos quando você ataca Uzorr.\nOs pedidos estão em uma mesa perto dele.\nO retorno mais rápido a Candaith é mergulhar nas cachoeiras e depois nadar.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText(" Redigido pelo Dastan e patrocinado pelo Nelson Oliveira");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_2_Chapter_3_War_master_Uzorr:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_2_Chapter_3_War_master_Uzorr()); 